Skip to content
Start here

Acquire and connect to browser session.

browser_rendering.devtools.browser.launch(BrowserLaunchParams**kwargs)
GET/accounts/{account_id}/browser-rendering/devtools/browser

Acquires and establishes a WebSocket connection to a browser session.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
account_id: str

Account ID.

keep_alive: Optional[float]

Keep-alive time in ms (only valid when acquiring new session).

maximum1200000
minimum10000
lab: Optional[bool]

Use experimental browser.

recording: Optional[bool]

Acquire and connect to browser session.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.browser_rendering.devtools.browser.launch(
    account_id="account_id",
)
Returns Examples